/**
 * This entity describes a single name of an entity with multiple names.
 */
declare interface INameEntity {
  /**
   * the name
   */
  name: string;

  /**
   * the entity to which the names belong
   */
  entity: Promise<IMultiNamedEntity>;
}
