/**
 * Every database entity should implement this one.
 * It does nothing more but guarantee there is an id column.
 */
declare interface IIdentifiableEntity {
  /**
   * the entity id
   */
  id: number;
}
